package com.example.mapper;

import com.example.entity.Productype;
import java.util.List;

/**
 * 操作product_type相关数据接口
*/
public interface ProductypeMapper {

    /**
      * 新增
    */
    int insert(Productype productype);

    /**
      * 删除
    */
    int deleteById(Integer id);

    /**
      * 修改
    */
    int updateById(Productype productype);

    /**
      * 根据ID查询
    */
    Productype selectById(Integer id);

    /**
      * 查询所有
    */
    List<Productype> selectAll(Productype productype);

}